Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.robotinterfaces
Interface IInteractiveEvents

All Known Implementing Classes:
  _AdvancedRadiansRobot, _AdvancedRobot, AdvancedRobot, RateControlRobot, Robot, TeamRobot

    public interface IInteractiveEvents

An event interface for receiving interactive events with an `IInteractiveRobot`.

Since:
  1.6
Author:
  Pavel Savara (original), Flemming N. Larsen (javadoc)
See Also:
  `IInteractiveRobot`

Method Summary
`void` | `onKeyPressed(KeyEvent event)` This method is called when a key has been pressed.
`void` | `onKeyReleased(KeyEvent event)` This method is called when a key has been released.
`void` | `onKeyTyped(KeyEvent event)` This method is called when a key has been typed (pressed and released).
`void` | `onMouseClicked(MouseEvent event)` This method is called when a mouse button has been clicked (pressed and released).
`void` | `onMouseDragged(MouseEvent event)` This method is called when a mouse button has been pressed and then dragged.
`void` | `onMouseEntered(MouseEvent event)` This method is called when the mouse has entered the battle view.
`void` | `onMouseExited(MouseEvent event)` This method is called when the mouse has exited the battle view.
`void` | `onMouseMoved(MouseEvent event)` This method is called when the mouse has been moved.
`void` | `onMousePressed(MouseEvent event)` This method is called when a mouse button has been pressed.
`void` | `onMouseReleased(MouseEvent event)` This method is called when a mouse button has been released.
`void` | `onMouseWheelMoved(MouseWheelEvent event)` This method is called when the mouse wheel has been rotated.

Method Detail

### onKeyPressed

    void onKeyPressed(KeyEvent event)

  This method is called when a key has been pressed.

  See the `sample.Interactive` robot for an example of how to use key events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `KeyListener.keyPressed(KeyEvent)`, `IInteractiveEvents.onKeyReleased(KeyEvent)`, `IInteractiveEvents.onKeyTyped(KeyEvent)`

### onKeyReleased

    void onKeyReleased(KeyEvent event)

  This method is called when a key has been released.

  See the `sample.Interactive` robot for an example of how to use key events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `KeyListener.keyReleased(KeyEvent)`, `IInteractiveEvents.onKeyPressed(KeyEvent)`, `IInteractiveEvents.onKeyTyped(KeyEvent)`

### onKeyTyped

    void onKeyTyped(KeyEvent event)

  This method is called when a key has been typed (pressed and released).

  See the `sample.Interactive` robot for an example of how to use key events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `KeyListener.keyTyped(KeyEvent)`, `IInteractiveEvents.onKeyPressed(KeyEvent)`, `IInteractiveEvents.onKeyReleased(KeyEvent)`

### onMouseClicked

    void onMouseClicked(MouseEvent event)

  This method is called when a mouse button has been clicked (pressed and released).

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseListener.mouseClicked(MouseEvent)`, `IInteractiveEvents.onMouseMoved(MouseEvent)`, `IInteractiveEvents.onMousePressed(MouseEvent)`, `IInteractiveEvents.onMouseReleased(MouseEvent)`, `IInteractiveEvents.onMouseEntered(MouseEvent)`, `IInteractiveEvents.onMouseExited(MouseEvent)`, `IInteractiveEvents.onMouseDragged(MouseEvent)`, `IInteractiveEvents.onMouseWheelMoved(MouseWheelEvent)`

### onMouseEntered

    void onMouseEntered(MouseEvent event)

  This method is called when the mouse has entered the battle view.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseListener.mouseEntered(MouseEvent)`, `IInteractiveEvents.onMouseMoved(MouseEvent)`, `IInteractiveEvents.onMousePressed(MouseEvent)`, `IInteractiveEvents.onMouseReleased(MouseEvent)`, `IInteractiveEvents.onMouseClicked(MouseEvent)`, `IInteractiveEvents.onMouseExited(MouseEvent)`, `IInteractiveEvents.onMouseDragged(MouseEvent)`, `IInteractiveEvents.onMouseWheelMoved(MouseWheelEvent)`

### onMouseExited

    void onMouseExited(MouseEvent event)

  This method is called when the mouse has exited the battle view.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseListener.mouseExited(MouseEvent)`, `IInteractiveEvents.onMouseMoved(MouseEvent)`, `IInteractiveEvents.onMousePressed(MouseEvent)`, `IInteractiveEvents.onMouseReleased(MouseEvent)`, `IInteractiveEvents.onMouseClicked(MouseEvent)`, `IInteractiveEvents.onMouseEntered(MouseEvent)`, `IInteractiveEvents.onMouseDragged(MouseEvent)`, `IInteractiveEvents.onMouseWheelMoved(MouseWheelEvent)`

### onMousePressed

    void onMousePressed(MouseEvent event)

  This method is called when a mouse button has been pressed.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseListener.mousePressed(MouseEvent)`, `IInteractiveEvents.onMouseMoved(MouseEvent)`, `IInteractiveEvents.onMouseReleased(MouseEvent)`, `IInteractiveEvents.onMouseClicked(MouseEvent)`, `IInteractiveEvents.onMouseEntered(MouseEvent)`, `IInteractiveEvents.onMouseExited(MouseEvent)`, `IInteractiveEvents.onMouseDragged(MouseEvent)`, `IInteractiveEvents.onMouseWheelMoved(MouseWheelEvent)`

### onMouseReleased

    void onMouseReleased(MouseEvent event)

  This method is called when a mouse button has been released.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseListener.mouseReleased(MouseEvent)`, `IInteractiveEvents.onMouseMoved(MouseEvent)`, `IInteractiveEvents.onMousePressed(MouseEvent)`, `IInteractiveEvents.onMouseClicked(MouseEvent)`, `IInteractiveEvents.onMouseEntered(MouseEvent)`, `IInteractiveEvents.onMouseExited(MouseEvent)`, `IInteractiveEvents.onMouseDragged(MouseEvent)`, `IInteractiveEvents.onMouseWheelMoved(MouseWheelEvent)`

### onMouseMoved

    void onMouseMoved(MouseEvent event)

  This method is called when the mouse has been moved.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseMotionListener.mouseMoved(MouseEvent)`, `IInteractiveEvents.onMousePressed(MouseEvent)`, `IInteractiveEvents.onMouseReleased(MouseEvent)`, `IInteractiveEvents.onMouseClicked(MouseEvent)`, `IInteractiveEvents.onMouseEntered(MouseEvent)`, `IInteractiveEvents.onMouseExited(MouseEvent)`, `IInteractiveEvents.onMouseDragged(MouseEvent)`, `IInteractiveEvents.onMouseWheelMoved(MouseWheelEvent)`

### onMouseDragged

    void onMouseDragged(MouseEvent event)

  This method is called when a mouse button has been pressed and then dragged.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  Since:
    1.3.4
  See Also:
    `MouseMotionListener.mouseDragged(MouseEvent)`, `IInteractiveEvents.onMouseMoved(MouseEvent)`, `IInteractiveEvents.onMousePressed(MouseEvent)`, `IInteractiveEvents.onMouseReleased(MouseEvent)`, `IInteractiveEvents.onMouseClicked(MouseEvent)`, `IInteractiveEvents.onMouseEntered(MouseEvent)`, `IInteractiveEvents.onMouseExited(MouseEvent)`, `IInteractiveEvents.onMouseWheelMoved(MouseWheelEvent)`

### onMouseWheelMoved

    void onMouseWheelMoved(MouseWheelEvent event)

  This method is called when the mouse wheel has been rotated.

  See the `sample.Interactive` robot for an example of how to use mouse events.

  Parameters:
    `event` - holds details about current event
  See Also:
    `MouseWheelListener.mouseWheelMoved(MouseWheelEvent)`, `IInteractiveEvents.onMouseMoved(MouseEvent)`, `IInteractiveEvents.onMousePressed(MouseEvent)`, `IInteractiveEvents.onMouseReleased(MouseEvent)`, `IInteractiveEvents.onMouseClicked(MouseEvent)`, `IInteractiveEvents.onMouseEntered(MouseEvent)`, `IInteractiveEvents.onMouseExited(MouseEvent)`, `IInteractiveEvents.onMouseDragged(MouseEvent)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.